# Microsoft Struggling to Find How Hackers Steal the Azure AD Signing Key
## Surprisingly, Microsoft remains unaware of how Chinese hackers acquired an inactive Microsoft account signing key to breach Exchange Online and Azure AD accounts.
## Information:

+ Link: https://cybersecuritynews.com/?p=27928
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 15 July 2023, 15:18
+ Date scraped: 15 July 2023, 16:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgXznAMU1E11-Cr1pw1Dg1FOp2iRHTldm415NBmFIj4dcZ2z3agS7buJUmVy_bETbn3LtOs4PnYZqwGs9p4u-HuFQ9yguWzHxM6erNjr5QyaZ3l0b3nRJCQazjXhvvVUBSnU8mCSjY9RRBwFkatPtTCPWf8IS52eeIUKcxr3UC-c4lQ9sqQiuYSJYaoSo94/s16000/Microsoft%20Struggling%20to%20Find%20How%20Hackers%20Steal%20the%20Azure%20AD%20Signing%20Key.webp)


China’s Storm-0558 hacked 25 organizations, including government agencies, using fake tokens for email access, aiming at espionage since May 15, 2023.


However, [Storm-0558’s campaign](https://cybersecuritynews.com/chinese-apt-groups-outlook/) was blocked by Microsoft without affecting other environments. Not only that even, Microsoft also acted promptly by notifying all the targeted customers to secure their systems.





/\* custom css \*/
.tdi\_3.td-a-rec{
 text-align: center;
 }.tdi\_3 .td-element-style{
 z-index: -1;
 }.tdi\_3.td-a-rec-img{
 text-align: left;
 }.tdi\_3.td-a-rec-img img{
 margin: 0 auto 0 0;
 }@media (max-width: 767px) {
 .tdi\_3.td-a-rec-img {
 text-align: center;
 }
 }



Surprisingly, Microsoft remains unaware of how Chinese hackers acquired an inactive Microsoft account signing key to breach Exchange Online and Azure AD accounts.


## **The Incident’s Cause is Unknown!**


Since discovering the malicious campaign on June 16, 2023, Microsoft has accomplished the following things:-


* Swiftly addressed the root cause
* Stopped the malicious activities
* Strengthened the environment
* Notified all the affected customers
* Collaborated with government entities


While Microsoft affirmed that the way in which the threat actors obtained or gained access to the key is currently under investigation.


US government officials detected unauthorized access to multiple Exchange Online email services of government agencies, triggering the incident report.



![](https://lh4.googleusercontent.com/zxtCyKjUpikMzHbEQuQ5eY4UVhbmjx0M3ulXjaS7kPHZsKhOgwzusDtlzDdODUysYC4sd1WvZ1VpjNW3TAvyYmk6QF-rSrBowxosxzpr6I6vgmR71MmkSCCajcVpMQ9eIKxtVkwxfpGsR0XUCY1VJC4)Heatmap of observed Stom-0558 activity (Source – Microsoft)


Storm-0558, observed by Microsoft, primarily targets the following entities:-


* US and European governing bodies
* Individuals related to Taiwan
* Individuals related to Uyghur interests
* Media companies
* Think tanks
* Telecom providers


Besides this, their primary objective is to get unauthorized email account access of targeted organizations’ employees.


It’s been discovered by Microsoft that through Outlook Web Access (OWA) Storm-0558 accessed customer Exchange Online data. Initially, it was believed that the actor stole Azure AD tokens using malware on infected devices.


[Security researchers at Microsoft](https://www.microsoft.com/en-us/security/blog/2023/07/14/analysis-of-storm-0558-techniques-for-unauthorized-email-access/) discovered that the threat actor forged Azure AD tokens using an acquired MSA consumer signing key, which is a validation error in Microsoft code that allowed this abuse.


## **Techniques Used by Hackers**


The techniques that were used by threat actors during this incident are mentioned below:-


* **Token forgery:** The identity of entities seeking resource access, like email was verified by the authentication tokens, and the identity providers, such as Azure AD, issue these tokens to the requesting entity and sign them with a private key for authenticity. While the relying parties validate tokens using a public key, but, acquiring a private signing key enables an actor to forge tokens with valid signatures, tricking relying parties and in total, it’s known as “token forgery.”


* **Identity techniques for access:** Using the forged token, the threat actor authenticated and accessed the OWA API to obtain Exchange Online access tokens from the GetAccessTokenForResource API. A design flaw allowed the actor to present a previously issued token, but it has been rectified to only accept Azure AD or MSA tokens. With these tokens, from the OWA API, the threat actor retrieved mail messages.


## **Ways Storm-0558 Executes Attacks**


Moreover, to access the OWA Exchange Store service, Storm-0558 leverages:-


* PowerShell
* Python scripts
* REST API calls


Through Tor or hardcoded SOCKS5 proxy servers, the web requests are sent, and for issuing requests the threat actor employs various User-Agents like:-


* Client=REST;Client=RESTSystem;;
* Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/92.0.4515.159 Safari/537.36
* Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Safari/537.36 Edg/106.0.1370.52
* “Microsoft Edge”;v=”113″, “Chromium”;v=”113″, “Not-A.Brand”;v=”24″


Sensitive data, including bearer access tokens and email information, is hardcoded in the scripts used by the threat actor to make OWA API calls. Additionally, for future OWA commands, the threat actor can refresh the access token.



![](https://lh4.googleusercontent.com/IkFEVI1d8nQwLnHSuEGlRA6gLheRlD-On5EHzYGsX4ctoaCI1L2OYNj1F0zijF_s8hd756Oxge7J7q0mSVR-5lJixoOyqTolQrurC6Tbe93UMVzgTsCz4Iq6upoEE9I8i56nICx7cIby90xdwxenvJ8)Python code snippet (Source – Microsoft)



![](https://lh4.googleusercontent.com/jSbNO5Oqlp1ePV9XhkmLTrSFQOxFxHLuNMxPGzUKUFKvc-UdDeREsbM407Tior4DyHijkQRs7jztDGmi6B3Bp-mr9N9Bb8GWixZrFPDhaffzNI0MTxFJ1fNas5d_zvjXf3IvG3NtR5xxhfpMUxF8Sy4)PowerShell code snippet (Source – Microsoft)


[Storm-0558](https://cybersecuritynews.com/chinese-apt-groups-outlook/) extensively utilized dedicated infrastructure with SoftEther proxy software, posing challenges for detection and attribution. 


Microsoft Threat Intelligence successfully profiled this proxy infrastructure and correlated it with the actor’s intrusion techniques during their response.






## Tags:
***ipv4-adresses***: 106.0.0.0

### Autogenerated tags:
[[microsoft]] [[storm-0558]] [[owa]] [[api]]
