# Heap-based Buffer Overflow Flaw in cURL Library Using SOCKS5 Proxy
## Curl command line tool posted a pre-announcement regarding two vulnerabilities that affected both the curl tool and the libcurl library.
## Information:

+ Link: https://cybersecuritynews.com/?p=46036
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 12 October 2023, 06:38
+ Date scraped: 12 October 2023, 07:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiqgarzLTX5JyVKYjF2ZYoeMTQq-ITlBXa0m23vKeuhRVZWn7V9UzPnHtbw5OrnWrmNXUNm3Y3wzg2ObsI206o4MUe-oiS9CUCRXj1-kq9Rn9qgPF1iqdCS-RPu0EiECAAICAxBH04sGtYA64hs76s3_viNRgzmNhKayV8OjZjIyX6bnRjcoytBryiVDjVu/s1600/cURL%20Heap-based%20Buffer%20Overflow%20-1.webp)


Previously, the maintainers of the popular curl command line tool posted a [pre-announcement](https://gbhackers.com/critical-curl-vulnerability/) regarding two vulnerabilities that affected both the curl tool and the libcurl library. 


However, the details of these vulnerabilities were not disclosed and were mentioned to be disclosed on October 11, 2023.






As per the post, the high-severity vulnerability under the CVE-2023-38545 was publicly disclosed by Curl. This vulnerability affects libcurl library from version 7.69.0 to 8.3.0.


Nevertheless, to exploit this vulnerability, an application must be configured to use SOCKS5 proxy modes and should attempt to resolve a hostname with inapplicable length.


Document

FREE Demo
[Deploy Advanced AI-Powered Email Security Solution](#)
-------------------------------------------------------


Implementing AI-Powered Email security solutions “Trustifi” can secure your business from today’s most dangerous email threats, such as Email Tracking, Blocking, Modifying, Phishing, Account Take Over, Business Email Compromise, Malware & Ransomware


  [Free Demo](https://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynewshttps://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews) 


cURL **Heap-based Buffer Overflow**
-----------------------------------


This heap-based buffer overflow vulnerability exists when an application using a vulnerable version of curl or libcurl makes HTTP requests where a threat actor has enough privileges to set the “http\_proxy” environment variable. The severity of this vulnerability is being analyzed.


There are prerequisites for an attacker before executing this attack. This includes


* The application must request socks5h.
* The application’s negotiation buffer is approximately smaller than 65k.
* The SOCKS server’s “hello” reply has a delay.


![Proof-of-concept of exploitation ](https://lh4.googleusercontent.com/eTbEfCiLEq-b_UHIHbpUqlr1EmrSJu2McReX5bvpAg_SwQGTxptl2g7XTgLvqETjNNRk7bENIHfyFC0xvsCiHfzQUtr8osbzv7u0LK7x1jNOxaO3f_T_gmvROSPyoXcuuA9LbdgjvO_sVRFx81NTsiU)*Proof-of-concept of exploitation (Source: Grey Noise)*


libcurl accepts hostnames up to 65535 bytes. However, if the machine’s hostname is longer than the target buffer, the memcpy() function overwrites the buffer into the heap.


The URL parser has to accept the hostname, which limits the set of available byte sequences that can be copied.


“An overflow is only possible in applications that do not set CURLOPT\_BUFFERSIZE or set it smaller than 65541.


Since the curl tool sets CURLOPT\_BUFFERSIZE to 100kB by default, it is not vulnerable unless rate limiting was set by the user to a rate smaller than 65541 bytes/second.” reads the [advisory](https://curl.se/docs/CVE-2023-38545.html) by curl.


This particular vulnerability was [reported](https://hackerone.com/reports/2187833) to curl by a security researcher from Hackerone. 


**Affected & Not Affected Products**
------------------------------------


According to curl, libcurl [7.69.0](https://curl.se/docs/vuln-7.69.0.html) to and including [8.3.0](https://curl.se/docs/vuln-8.3.0.html) are affected by this vulnerability. libcurl earlier than [7.69](https://curl.se/docs/vuln-7.69.0.html).0 has been confirmed to be not affected by this vulnerability. 


Curl has instructed users not to use CURLPROXY\_SOCKS5\_HOSTNAME proxies with curl and not to set a proxy environment variable to socks5h://.


A [complete](https://curl.se/docs/CVE-2023-38545.html) report about this vulnerability has been published by Curl, which provides detailed information about the exploitation, parameters involved, and other information.


Users of curl and libcurl are recommended to upgrade to the latest version, 8.4.0, to fix this vulnerability from getting exploited by threat actors.






## Tags:
***CVE's***: CVE-2023-38545

### Autogenerated tags:
[[libcurl]] [[hostname]]
