# Russian Hackers Launched Sabotage Attacks On 20 Critical Infrastructure
## Researchers identified a cyberattack by the Sandworm group targeting critical infrastructure in Ukraine in March 2024, which aimed to disrupt
## Information:

+ Link: https://cybersecuritynews.com/?p=62944
+ Source: Cyber Security News
+ Author: Guru Baran
+ Date published: 24 April 2024, 08:42
+ Date scraped: 24 April 2024, 09:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg1ALe_eyuguXR6ES078H1N-Dzp7toVm5Yy7yaQ13N9Y9A0u-ihK88w2Vz7zvfUqZ_P7Nw5jzhM3HQ6YE9JgMlU2kfDlDlf8QvijwWBKWJqjb7kU2e5GFMolW2Nfuy10wv3pFxpTzY0oZ28ZteCDltyVA1BerDajSOvCh57IrZwKSYHnteUUeRuY_s1tFV9/s16000/Russian%20Hackers%20Attack%20Critical%20Infrastructure.webp)


Researchers identified a cyberattack by the Sandworm group targeting critical infrastructure in Ukraine in March 2024. The attack aimed to disrupt the information and communication systems (ICS) of energy, water, and heat suppliers across ten regions.


In addition to the previously known QUEUESEED backdoor, the attackers used a new toolkit, including LOADGRIP malware and a Linux variant of QUEUESEED named BIASBOAT, which was a server-specific encrypted file utilizing a compromised machine’s unique identifier.


The malware targeted [Linux systems](https://cybersecuritynews.com/acidpour-attack-linux-x86/) managing industrial automation processes (ASUTP), likely through specialized domestic software. 


Breaches were identified in at least three supply chains, where attackers gained initial access through compromised Software Defined Radio (SDR) devices containing vulnerabilities or via legitimate access by supplier employees with technical privileges to maintain the organization’s [Industrial Control Systems (ICS)](https://cybersecuritynews.com/us-warns-of-apt-hackers/). 


Attackers deployed malicious tools like WEEVELY web shells and REGEORG to exploit these access points.NEO tunnels and PIVOTNACCI for lateral movement and launching cyberattacks within enterprise networks.


CERT-UA identified and responded to a cyberattack campaign targeting critical infrastructure facilities in Ukraine between March 7th and 15th, 2024.


**Free Webinar | Mastering WAAP/WAF ROI Analysis | [Book Your Spot](https://www.indusface.com/waap-roi-analysis.php?utm_source=gbhackers-linkedin-event&utm_medium=referral&utm_campaign=2024-apr-webinar-waap-roi-analysis)**


**Russian Hackers & Sabotage Attacks**
--------------------------------------


The attackers gained initial access through compromised supply chains and exploited a lack of segmentation to move laterally within the network.


They deployed QUEUESEED and GOSSIPFLOW malware, previously linked to UAC-0133 (a subcluster of [Sandworm/APT44](https://cybersecuritynews.com/sandworm-apt-group-adds-new-wiper/)) responsible for water supply facility attacks using SDELETE, to target Windows machines, highlighting the continued threat posed by APT groups and the importance of proper segmentation and security practices. 



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh1EQ5a3OM9kI0WpPTpsL0VAgFctnp8qv3DxTHa_pXN_7qcN-rSxp-SWsctyAYvtcYTjAGMCtd5CyzxtM1DvlNqRR3CkI1YcO9fX2Kw40o6v-zlbBDgVSnTYPrZpVPslKq-c1PP-f1N4cE_h0QpdOV6mEuPsWkQrnFVkPND4NRB8I9gZJE175j565VBnfLh/s16000/Capture%20(22).webp) Example of a scheduled task for running QUEUESEED


A critical infrastructure attack campaign targeting Ukrainian energy, water, and heat suppliers leveraged two key weaknesses.


First, poor segmentation practices allowed supplier software-defined radios (SDRs) to access the organizations’ ICS networks directly, bypassing internet and internal access controls.


Second, suppliers’ lax security practices left vulnerabilities in their provided software, such as remote code execution (RCE) flaws, open to exploitation.


[CERT-UA](https://cert.gov.ua/article/6278706) suspects these attacks aimed to compromise ICS systems and amplify the impact of physical strikes planned for spring 2024. 


QUEUESEED, a C++ malware, gathers system information (OS, language, username) and executes commands from its control server.


The malware can read and write files, run commands, update its configuration, and self-destruct.


Communication with the control server utilizes HTTPS with encrypted data (JSON format, RSA+AES). The backdoor’s configuration file, including the control server URL, is AES-encrypted with a static key.


An internal queue for commands and results resides in the [Windows registry](https://cybersecuritynews.com/beware-darkwatchman-rat-hides-in-windows-registry/), encrypted with AES using the %MACHINEGUID% value as the key. Persistent is achieved through a dropper that creates a scheduled task or a registry entry under the “Run” key. 



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiybP1689LOpEEQ8XJ7_zUdVPE72oxAvoULsi9I3hrZ8z7Qj_cFNHv8vyNYIwROFPeBkZMqw7kB1mZwVbkZTJBVWi8kzjo1LxwlOPaEbEOFZeoklokrqYQ-HKwtt5lumVi9m6XyUbteV6dye_b70WN4fxitXYd5c7ISLErIgRQvApl6w3yLHEXllcnjMweC/s16000/Capture%20(23).webp)Example of a BASH script for launching LOADGRIP/BIASBOAT


A hacking group has been using malicious tools to compromise Linux systems.


BIASBOAT, a C-based ELF program, is a Linux variant of QUEUESEED that injects payloads using LOADGRIP, another C-based ELF injector.


LOADGRIP decrypts the payloads using a key based on a static constant and the machine ID.


At the same time, GOSSIPFLOW, a Go program, creates tunnels and functions as a SOCKS5 proxy and also uses other tools, including CHISEL, LIBPROCESSHIDER, JUICYPOTATONG, and ROTTENPOTATONG.





## Tags:


### Autogenerated tags:
[[queueseed]] [[malware]] [[ics]] [[linux]] [[loadgrip]]
