# CISA adds Ruckus bug and another six flaws to its Known Exploited Vulnerabilities catalog
## US Cybersecurity and Infrastructure Security Agency (CISA) added seven new flaws to its Known Exploited Vulnerabilities catalog. U.S. Cybersecurity and Infrastructure Security Agency (CISA) has added the following three new issues to its Known Exploited Vulnerabilities Catalog: CVE-2023-25717 – Ruckus Wireless Access Point (AP) software contains an unspecified vulnerability in the web services component. If the […]
## Information:

+ Link: https://securityaffairs.com/146285/hacking/known-exploited-vulnerabilities-catalog-ruckus.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 16 May 2023, 12:36
+ Date scraped: 16 May 2023, 13:03

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2020/07/CISA.jpeg?resize=300%2C300&ssl=1)


## US Cybersecurity and Infrastructure Security Agency (CISA) added seven new flaws to its Known Exploited Vulnerabilities catalog.


U.S. Cybersecurity and Infrastructure Security Agency (CISA) has added the following three new issues to its [Known Exploited Vulnerabilities Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog):


[CVE-2023-25717](https://nvd.nist.gov/vuln/detail/CVE-2023-25717) – Ruckus Wireless Access Point (AP) software contains an unspecified vulnerability in the web services component. If the web services component is enabled on the AP, an attacker can perform cross-site request forgery (CSRF) or remote code execution (RCE). This vulnerability impacts Ruckus ZoneDirector, SmartZone, and Solo APs. In early May, FortiGuard Labs researchers have recently [observed](https://securityaffairs.com/145980/cyber-crime/andoryubot-ddos-botnet.html) a spike in attacks attempting to exploit the Ruckus Wireless Admin remote code execution vulnerability tracked as CVE-2023-25717. The activity is associated with a known DDoS botnet tracked as AndoryuBot that first appeared in February 2023. The bot supports multiple DDoS attack techniques and uses SOCKS5 proxies for C2 communications. 


Fortinet researchers also reported that a Proof-of-Concept (PoC) code for this vulnerability is publicly available and urges owners to install the [patch](https://support.ruckuswireless.com/security_bulletins/315) as soon as possible.


[CVE-2021-3560](https://nvd.nist.gov/vuln/detail/CVE-2021-3560) – Red Hat Polkit contains an [incorrect authorization vulnerability](https://securityaffairs.com/118877/security/polkit-auth-linux-distros.html) through the bypassing of credential checks for D-Bus requests, allowing for privilege escalation. 


[polkit](https://wiki.archlinux.org/index.php/Polkit)is an application-level toolkit for defining and handling the policy that allows unprivileged processes to speak to privileged processes, it is installed by default on several Linux distributions.


[CVE-2014-0196](https://nvd.nist.gov/vuln/detail/CVE-2014-0196) – Linux Kernel contains a race condition vulnerability within the n\_tty\_write function that allows local users to cause a denial-of-service or gain privileges via read and write operations with long strings. 


[CVE-2010-3904](https://nvd.nist.gov/vuln/detail/CVE-2010-3904) – Linux Kernel contains an improper input validation vulnerability in the Reliable Datagram Sockets (RDS) protocol implementation that allows local users to gain privileges via crafted use of the sendmsg and recvmsg system calls.


[CVE-2015-5317](https://nvd.nist.gov/vuln/detail/CVE-2015-5317) – Jenkins User Interface (UI) contains an information disclosure vulnerability that allows users to see the names of jobs and builds otherwise inaccessible to them on the “Fingerprints” pages.


[CVE-2016-3427](https://nvd.nist.gov/vuln/detail/CVE-2016-3427) – Oracle Java SE and JRockit contains an unspecified vulnerability that allows remote attackers to affect confidentiality, integrity, and availability via vectors related to Java Management Extensions (JMX). This vulnerability can be exploited through sandboxed Java Web Start applications and sandboxed Java applets. It can also be exploited by supplying data to APIs in the specified component without using sandboxed Java Web Start applications or sandboxed Java applets, such as through a web service.


[CVE-2016-8735](https://nvd.nist.gov/vuln/detail/CVE-2016-8735) – Apache Tomcat contains an unspecified vulnerability that allows for remote code execution if JmxRemoteLifecycleListener is used and an attacker can reach Java Management Extension (JMX) ports. This CVE exists because this listener wasn’t updated for consistency with the Oracle patched issues for CVE-2016-3427 which affected credential types.


According to [Binding Operational Directive (BOD) 22-01: Reducing the Significant Risk of Known Exploited Vulnerabilities](https://cyber.dhs.gov/bod/22-01/), FCEB agencies have to address the identified vulnerabilities by the due date to protect their networks against attacks exploiting the flaws in the catalog.


Experts recommend also private organizations review the [Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) and address the vulnerabilities in their infrastructure.


CISA orders federal agencies to fix this flaw by June 2nd, 2023.


**We are in the final!**


**Please vote for Security Affairs (<https://securityaffairs.com/>) as the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS**  
**Vote for me in the sections where is reported Securityaffairs or my name Pierluigi Paganini**


**Please nominate Security Affairs as your favorite blog.**



> 
> 
> > 
> > **Nominate Pierluigi Paganini and Security Affairs here here: <https://docs.google.com/forms/d/e/1FAIpQLSepvnj8b7QzMdLh7vWEDQDqohjBUsHyn3x3xRdYGCetwVy2DA/viewform>**
> > 
> > 
> > 
> 
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** ****CISA****)



  


---


  




## Tags:
***CVE's***: CVE-2016-8735 CVE-2014-0196 CVE-2023-25717 CVE-2010-3904 CVE-2015-5317 CVE-2016-3427 CVE-2021-3560
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSepvnj8b7QzMdLh7vWEDQDqohjBUsHyn3x3xRdYGCetwVy2DA/viewform https://securityaffairs.com/

### Autogenerated tags:
[[cisa]] [[sandboxed]] [[cybersecurity]] [[linux]] [[pierluigi]] [[paganini]]
