# Andariel APT Using DoraRAT and Nestdoor Malware to Spy on South Korean Businesses
## Researchers have uncovered new attacks by a North Korean advanced persistent threat actor – Andariel APT group – targeting Korean
## Information:

+ Link: https://thecyberexpress.com/andariel-apt-using-dorarat-and-nestdoor-malware/
+ Source: The Cyber Express
+ Author: Mihir Bagwe
+ Date published: 31 May 2024, 18:00
+ Date scraped: 31 May 2024, 20:03

## Article:
![Main article image](https://thecyberexpress.com/wp-content/uploads/Andariel-APT.webp)


Researchers have uncovered new attacks by a North Korean advanced persistent threat actor – Andariel APT group – targeting Korean corporations and other organizations. The victims include educational institutions and companies in the manufacturing and construction sectors.


The attackers employed keyloggers, infostealers, and proxy tools alongside backdoors to control and extract data from compromised systems, [said](https://asec.ahnlab.com/en/66088/) researchers at the AhnLab Security Intelligence Center (ASEC).


The [malware](https://thecyberexpress.com/what-is-malware/) used in these attacks includes strains previously attributed to the Andariel APT group, including the backdoor “Nestdoor.” Additional tools include web shells and proxy tools linked to the North Korean Lazarus group that now contain modifications compared to earlier versions.


Researchers first observed a confirmed attack case where a malware was distributed via a web server running an outdated 2013 version of Apache Tomcat, which is vulnerable to various attacks. “The threat actor used the web server to install backdoors, proxy tools, etc.,” the researchers said.


![Andariel APT](https://thecyberexpress.com/wp-content/uploads/Apache-Tomcat-Compromised.webp)

Apache Tomcat compromised to spread malware by Andariel APT. (Credit: Ahnlab)




Malware Used by Andariel APT in this Campaign
---------------------------------------------


The first of the two malware strains used in the latest campaign was Nestdoor, a remote access trojan (RAT) that has been active since May 2022. This RAT can execute commands from the threat actor to control infected systems.


Nestdoor has been found in numerous Andariel attacks, including those exploiting the VMware Horizon product’s Log4Shell vulnerability (CVE-2021-44228). The malware is developed in C++ and features capabilities such as file upload/download, reverse shell, command execution, keylogging, clipboard logging, and proxy functionalities.


A specific case in 2022 involved Nestdoor being distributed alongside TigerRAT using the same command and control (C&C) server. Another incident in early 2024 saw Nestdoor disguised as an OpenVPN installer. This version maintained persistence via the Task Scheduler and communicated with a C&C server.


The Andariel APT has been developing new malware strains in the Go language for each campaign. Dora RAT, a recent discovery is one such malware strain.


The backdoor malware supports reverse shell and file transfer operations and exists in two forms: a standalone executable and an injected process within “explorer.exe.” The latter variant uses an executable in WinRAR SFX format, which includes an injector malware. The Dora RAT has been signed with a valid certificate from a UK software developer in an attempt to make it look legitimate.


Additional Malware Strains
--------------------------


* **Keylogger/Cliplogger:** Performs basic functions like logging keystrokes and clipboard contents, stored in the “%TEMP%” directory.
* **Stealer:** It is designed to exfiltrate files from the system, potentially handling large quantities of [data](https://thecyberexpress.com/what-is-data/).
* **Proxy:** Includes both custom-created proxy tools and open-source Socks5 proxy tools. Some proxies are similar to those used by the Lazarus group in past attacks.


The Andariel group, part of the larger Lazarus umbrella, has shifted from targeting national [security](https://thecyberexpress.com/) information to also pursuing financial gains. Last month, the South Korean National Police Agency [revealed](https://thecyberexpress.com/north-korean-hacker-groups-target-south/) a targeted campaign of the Andariel APT aimed at stealing the country’s defense technology.


Andariel APT hackers gained access to defense industry data by compromising an employee account, which was used in maintaining servers of a defense industry partner. The hackers injected malicious code into the partner’s servers around October 2022, and extracted stored defense technology data. This breach exploited a loophole in how employees used their personal and professional email accounts for official system access.


Andariel APT’s initial attack methodology primarily includes spear phishing, watering hole attacks, and exploiting software [vulnerabilities](https://thecyberexpress.com/what-are-vulnerabilities/). Users should remain cautious with email attachments from unknown sources and executable files from websites. Security administrators are advised to keep software patched and updated, including operating systems and browsers, to mitigate the [risk](https://thecyberexpress.com/what-are-risks-in-cybersecurity/) of malware infections, the researchers recommended.


IoCs to Watch for Signs of Andariel APT Attacks
-----------------------------------------------


IoCs to monitor for attacks from Andariel APT group include:


**MD5s**  

– 7416ea48102e2715c87edd49ddbd1526: Nestdoor – Recent attack case (nest.exe)  

– a2aefb7ab6c644aa8eeb482e27b2dbc4: Nestdoor – TigerRAT attack case (psfile.exe)  

– e7fd7f48fbf5635a04e302af50dfb651: Nestdoor – OpenVPN attack case (openvpnsvc.exe)  

– 33b2b5b7c830c34c688cf6ced287e5be: Nestdoor launcher (FirewallAPI.dll)  

– 4bc571925a80d4ae4aab1e8900bf753c: Dora RAT dropper (spsvc.exe)  

– 951e9fcd048b919516693b25c13a9ef2: Dora RAT dropper (emaupdate.exe)  

– fee610058c417b6c4b3054935b7e2730: Dora RAT injector (version.dll)  

– afc5a07d6e438880cea63920277ed270: Dora RAT injector (version.dll)  

– d92a317ef4d60dc491082a2fe6eb7a70: Dora RAT (emaupdate.exe)  

– 5df3c3e1f423f1cce5bf75f067d1d05c: Dora RAT (msload.exe)  

– 094f9a757c6dbd6030bc6dae3f8feab3: Dora RAT (emagent.exe)  

– 468c369893d6fc6614d24ea89e149e80: Keylogger/Cliplogger (conhosts.exe)  

– 5e00df548f2dcf7a808f1337f443f3d9: Stealer (msload.exe)


**C&Cs**– 45.58.159[.]237:443: Nestdoor – Recent attack case  

– 4.246.149[.]227:1443: Nestdoor – TigerRAT attack case  

– 209.127.19[.]223:443: Nestdoor – OpenVPN attack case  

– kmobile.bestunif[.]com:443 – Dora RAT  

– 206.72.205[.]117:443 – Dora RAT





## Tags:
***CVE's***: CVE-2021-44228
***ipv4-adresses***: 209.127.19.223 45.58.159.237 206.72.205.117 4.246.149.227
***urls***: http://45.58.159.237:443 http://4.246.149.227:1443 http://209.127.19.223:443 http://206.72.205.117:443 http://kmobile.bestunif.com:443
***MD5-hash***: e7fd7f48fbf5635a04e302af50dfb651 afc5a07d6e438880cea63920277ed270 4bc571925a80d4ae4aab1e8900bf753c a2aefb7ab6c644aa8eeb482e27b2dbc4 468c369893d6fc6614d24ea89e149e80 d92a317ef4d60dc491082a2fe6eb7a70 7416ea48102e2715c87edd49ddbd1526 951e9fcd048b919516693b25c13a9ef2 5df3c3e1f423f1cce5bf75f067d1d05c 094f9a757c6dbd6030bc6dae3f8feab3 fee610058c417b6c4b3054935b7e2730 5e00df548f2dcf7a808f1337f443f3d9 33b2b5b7c830c34c688cf6ced287e5be

### Autogenerated tags:
[[andariel]] [[malware]] [[nestdoor]] [[tigerrat]] [[openvpn]]
