# New SystemBC Malware Variant Targets South African Power Company
## Russian threat actors suspected in cyber attack on South African power company using a new variant of the SystemBC malware called DroxiDat
## Information:

+ Link: https://thehackernews.com/2023/08/new-systembc-malware-variant-targets.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 11 August 2023, 15:10
+ Date scraped: 11 August 2023, 10:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhg20ZomS4Qwdhz0T-Xik__fVPCxpTSvaD1RsHZ-4yHSjROljl6bGOsv_zmlOHQAft7VbNVvjzufZdZiqpN80uXmywVZknFcCm86cSpB-zLWIm3a71Dr6J4rXIWWmHUR6K9JHPsPyFUClN8LoPWja-okUOzji2IRLCKl64fQJDM_2kYhheY_JAYgP7MmjpZ/s728-e3650/power.jpg)


An unknown threat actor has been linked to a cyber attack on a power generation company in South Africa with a new variant of the SystemBC malware called **DroxiDat** as a precursor to a suspected ransomware attack.


"The proxy-capable backdoor was deployed alongside Cobalt Strike Beacons in a South African nation's critical infrastructure," Kurt Baumgartner, principal security researcher at Kaspersky's Global Research and Analysis Team (GReAT), [said](https://securelist.com/focus-on-droxidat-systembc/110302/).


The Russian cybersecurity company said the attack, which took place in late March 2023, was in its early stages and involved the use of DroxiDat to profile the system and proxy network traffic using the [SOCKS5 protocol](https://en.wikipedia.org/wiki/SOCKS) to and from command-and-control (C2) infrastructure.


[SystemBC](https://malpedia.caad.fkie.fraunhofer.de/details/win.systembc) is a C/C++-based commodity malware and remote administrative tool that was [first seen in 2019](https://www.proofpoint.com/us/threat-insight/post/systembc-christmas-july-socks5-malware-and-exploit-kits). Its main feature is to set up [SOCKS5 proxies](https://asec.ahnlab.com/en/33600/) on victim computers that can then be used by threat actors to tunnel malicious traffic associated with other malware. [Newer variants](https://www.bitsight.com/blog/systembc-multipurpose-proxy-bot-still-breathes) of the malware can also download and run additional payloads.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiltwxN6CgTsOwvK4Kb9RC48ffApMCcXD3j2Gc3db9P1-x8PHByrz3vE32zvTg2ob2gKgFCjZBxfrCvkNyecbAPGYBfbb0Tj5AljTS_uYaanG6sEjZCK8NhoD2rHwk-Eh24yrpazpnZZiKsiHdbNkq2XVUeD-T-sZ2yW29dfOwyrVq3f31mu0hw25FnVzTn/s728-e3650/3.png)](https://thn.news/edWGl41h)
The use of SystemBC as a conduit for ransomware attacks has been documented in the past. In December 2020, Sophos revealed ransomware operators' reliance on SystemBC RAT as an off-the-shelf Tor backdoor for Ryuk and Egregor infections.


"SystemBC is an attractive tool in these types of operations because it allows for multiple targets to be worked at the same time with automated tasks, allowing for hands-off deployment of ransomware using Windows built-in tools if the attackers gain the proper credentials," the company [said](https://thehackernews.com/2020/12/ransomware-attackers-using-systembc.html) at the time.


DroxiDat's links to ransomware deployment stem from a healthcare-related incident involving DroxiDat around the same timeframe in which the Nokoyawa ransomware is said to have been delivered alongside Cobalt Strike.


The malware employed in the attack is both compact and lean when compared to SystemBC, stripped off most of the functionality associated with the latter to act as a simple system profiler and exfiltrate the information to a remote server.


"It provides no download-and-execute capabilities, but can connect with remote listeners and pass data back and forth, and modify the system registry," Baumgartner said.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
The identity of the threat actors behind the wave of attacks is currently unknown, although existing evidence points to the likely involvement of Russian ransomware groups, specifically [FIN12](https://thehackernews.com/2021/10/ransomware-group-fin12-aggressively.html) (aka Pistachio Tempest), which is known to deploy SystemBC alongside Cobalt Strike Beacons to deploy ransomware.


The development comes as the number of ransomware attacks targeting industrial organizations and infrastructure has doubled since the second quarter of 2022, jumping from [125 in Q2 2022](https://www.dragos.com/blog/dragos-industrial-ransomware-analysis-q2-2022/) to [253 in Q2 2023](https://www.dragos.com/blog/dragos-industrial-ransomware-attack-analysis-q2-2023/), according to Dragos. The figure is also an [18% increase](https://www.dragos.com/blog/ransomware-attack-analysis-q1-2023/) from the previous quarter, when 214 incidents were identified.


"Ransomware will continue to disrupt industrial operations, whether through the integration of operational technology (OT) kill processes into ransomware strains, flattened networks allowing ransomware to spread into OT environments, or precautionary shutdowns of production by operators to prevent ransomware from spreading to industrial control systems," the company assessed with high confidence.


  





## Tags:


### Autogenerated tags:
[[ransomware]] [[systembc]] [[malware]] [[droxidat]]
