# Open-Source Xeno RAT Trojan Emerges as a Potent Threat on GitHub
## Xeno RAT, a new player in the malware scene, boasts alarming features for remote system exploitation. Learn more about its impact on Windows systems.
## Information:

+ Link: https://thehackernews.com/2024/02/open-source-xeno-rat-trojan-emerges-as.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 27 February 2024, 18:26
+ Date scraped: 27 February 2024, 13:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhD9gtePNcbFt5MfWqO77Ap25SiZ0JT6ghx3bdyT0kErl9H7MaZQU11h_zn-07FD5IOp0Uzzk7seCblo3-DQCHlaTneCDbuZ8lo1EopSLLRhKDGN7OhcjF7YEFBZhxTtOccBkAL-fOTh_u171ka3BxvGZn6uDd1I9MNhoj65ZDhmam1kiAkoE1uGiaECYs/s728-rw-e365/trojan.jpg)


An "intricately designed" remote access trojan (RAT) called **Xeno RAT** has been made available on GitHub, making it available to other actors at no extra cost.


Written in C# and compatible with Windows 10 and Windows 11 operating systems, the open-source RAT comes with a "comprehensive set of features for remote system management," according to its developer, who goes by the name moom825.


It includes a SOCKS5 reverse proxy and the ability to record real-time audio, as well as incorporate a hidden virtual network computing ([hVNC](https://securityintelligence.com/anatomy-of-an-hvnc-attack/)) module along the lines of [DarkVNC](https://www.esentire.com/blog/technical-analysis-of-darkvnc), which allows attackers to gain remote access to an infected computer.


"Xeno RAT is developed entirely from scratch, ensuring a unique and tailored approach to remote access tools," the developer [states](https://github.com/moom825/xeno-rat) in the project description. Another notable aspect is that it has a builder that enables the creation of bespoke variants of the malware. 


It's worth noting that the moom825 is also the developer of another C#-based RAT called [DiscordRAT 2.0](https://github.com/moom825/Discord-RAT-2.0), which has been distributed by threat actors within a malicious npm package named node-hide-console-windows, as [disclosed](https://thehackernews.com/2023/10/rogue-npm-package-deploys-open-source.html) by ReversingLabs in October 2023.


Cybersecurity firm Cyfirma, in a report published last week, said it observed Xeno RAT being disseminated via the Discord content delivery network ([CDN](https://thehackernews.com/2023/10/discord-playground-for-nation-state.html)), once again underscoring how a rise in affordable and freely available malware is driving an increase in campaigns utilizing RATs.


[![RAT Trojan](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhL3X9nfPs0feln1aEZeCBChZa9UmpiFVCdsqxak524WWsDf7hKX70MfOONJbO3VVInJG8v590bnXt0xJ63r2yMGzChsnVAdB70bX9g0XCiejkzeGPL_0q0hfqE0TCvRJDiglXsTLsi3nffjcLqaBuUfCZeoNTKmjCcspV8QREROmZ4NvpeIctYn1OKoFY/s728-rw-e365/malware.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhL3X9nfPs0feln1aEZeCBChZa9UmpiFVCdsqxak524WWsDf7hKX70MfOONJbO3VVInJG8v590bnXt0xJ63r2yMGzChsnVAdB70bX9g0XCiejkzeGPL_0q0hfqE0TCvRJDiglXsTLsi3nffjcLqaBuUfCZeoNTKmjCcspV8QREROmZ4NvpeIctYn1OKoFY/s728-rw-e365/malware.jpg)
"The primary vector in the form of a shortcut file, disguised as a WhatsApp screenshot, acts as a downloader," the company [said](https://www.cyfirma.com/outofband/xeno-rat-a-new-remote-access-trojan-with-advance-capabilities/). "The downloader downloads the ZIP archive from Discord CDN, extracts, and executes the next stage payload."


The multi-stage sequence leverages a technique called DLL side-loading to launch a malicious DLL, while simultaneously taking steps to establish persistence and evade analysis and detection.


The development comes as the AhnLab Security Intelligence Center (ASEC) revealed the use of a Gh0st RAT variant called Nood RAT that's used in attacks targeting Linux systems, allowing adversaries to harvest sensitive information.


[![RAT Trojan](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgEB9_r36MZ6nA62dSRexEx9vBUbqkxAlRTvoV8a_irdQHDblYdq_JdggSfIeKHlMZ7mV-fXOKnh9Zg8mkEJAPw-kp7VX06hQU4dPx9nF36sQsvAaxWIuQocALiBzZ1kn_9-tI7td10ii6LJjtpt7ZTle9HBgpSQ350gVrZjWEsbUIWtAWlHzDNIv1GVDw/s728-rw-e365/malware.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgEB9_r36MZ6nA62dSRexEx9vBUbqkxAlRTvoV8a_irdQHDblYdq_JdggSfIeKHlMZ7mV-fXOKnh9Zg8mkEJAPw-kp7VX06hQU4dPx9nF36sQsvAaxWIuQocALiBzZ1kn_9-tI7td10ii6LJjtpt7ZTle9HBgpSQ350gVrZjWEsbUIWtAWlHzDNIv1GVDw/s728-rw-e365/malware.jpg)
"Nood RAT is a backdoor malware that can receive commands from the C&C server to perform malicious activities such as downloading malicious files, stealing systems' internal files, and executing commands," ASEC [said](https://asec.ahnlab.com/en/62144/).


"Although simple in form, it is equipped with the encryption feature to avoid network packet detection and can receive commands from threat actors to carry out multiple malicious activities."


  





## Tags:


### Autogenerated tags:
[[xeno]] [[malware]]
