# Ukraine Targeted in Cyberattack Exploiting 7-Year-Old Microsoft Office Flaw
## Cybersecurity researchers have uncovered a targeted cyber attack against Ukraine that leveraged a 7-year-old Microsoft Office flaw to deploy Cobalt St
## Information:

+ Link: https://thehackernews.com/2024/04/ukraine-targeted-in-cyberattack.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 27 April 2024, 18:17
+ Date scraped: 27 April 2024, 13:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjUzAQ7szXy7M5Yxr6vObXqotYfoQR-Rg8IgSJA0ICkTjsqOCKPirGXqvOjeqG6u4cf78ybQ8Y6p_SXG2iNwAtZkM5tPYv_XCyhKY8IbmC-0GDAY3x-awRhKL-KRJnbZWrXAdXRT2LAk24NpoNywl8JzKlfLXRMXq46c8BacPeK4pp8cdn7fhU5sNH6Yukj/s728-rw-e365/Ukraine.jpg)

 Cybersecurity researchers have discovered a targeted operation against Ukraine that has been found leveraging a nearly seven-year-old flaw in Microsoft Office to deliver Cobalt Strike on compromised systems.


The attack chain, which took place at the end of 2023 according to Deep Instinct, employs a PowerPoint slideshow file ("signal-2023-12-20-160512.ppsx") as the starting point, with the filename implying that it may have been shared via the Signal instant messaging app.


That having said, there is no actual evidence to indicate that the PPSX file was distributed in this manner, even though the Computer Emergency Response Team of Ukraine (CERT-UA) has uncovered [two different campaigns](https://thehackernews.com/2023/07/cert-ua-uncovers-gamaredons-rapid-data.html) that have used the [messaging app](https://thehackernews.com/2024/02/new-idat-loader-attacks-using.html) as a [malware delivery vector](https://cert.gov.ua/article/6278620) in the past.


Just last week, the agency [disclosed](https://cert.gov.ua/article/6278521) that Ukrainian armed forces are being increasingly targeted by the UAC-0184 group via messaging and dating platforms to serve malware like [HijackLoader](https://thehackernews.com/2024/02/new-idat-loader-attacks-using.html) (aka [GHOSTPULSE](https://thehackernews.com/2023/10/hackers-using-msix-app-packages-to.html) and [SHADOWLADDER](https://www.connectwise.com/blog/cybersecurity/monthly-threat-brief-december-2023)), [XWorm](https://thehackernews.com/2023/08/new-attack-alert-freezers-injector.html), and [Remcos RAT](https://thehackernews.com/2024/01/uac-0050-group-using-new-phishing.html), as well as open-source programs such as [sigtop](https://github.com/tbvdm/sigtop) and [tusc](https://github.com/jackhftang/tusc) to exfiltrate data from computers.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
"The PPSX (PowerPoint slideshow) file appears to be an old instruction manual of the U.S. Army for mine clearing blades (MCB) for tanks," security researcher Ivan Kosarev [said](https://www.deepinstinct.com/blog/uncorking-old-wine-zero-day-cobalt-strike-loader). "The PPSX file includes a remote relationship to an external OLE object."


This involves the exploitation of [CVE-2017-8570](https://msrc.microsoft.com/update-guide/en-us/advisory/CVE-2017-8570) (CVSS score: 7.8), a now-patched remote code execution bug in Office that could allow an attacker to perform arbitrary actions upon convincing a victim to open a specially crafted file, to load a remote script hosted on weavesilk[.]space.


The heavily obfuscated script subsequently launches an HTML file containing JavaScript code, which, in turn, sets up persistence on the host via Windows Registry and drops a next-stage payload that impersonates the Cisco AnyConnect VPN client.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhzQhiC8JugT6hoQFPQSCkMkE6s8De2iIeMPIRoGqhQIoYziOnukKVeXTRP2qZ4tjbJTjXxzHYn2PXJd87y-B02hZIzzDq2mtc8RBNsN-yAIrx0xdZkSREn67UyyMAbl-lXTtE16Rem-3aLsh2pF-oIvdFFsrx2ba1GZFjUaeaG97JgKNz13ERUmFLUn1gv/s728-rw-e365/fig1-campaign-attack-flow.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhzQhiC8JugT6hoQFPQSCkMkE6s8De2iIeMPIRoGqhQIoYziOnukKVeXTRP2qZ4tjbJTjXxzHYn2PXJd87y-B02hZIzzDq2mtc8RBNsN-yAIrx0xdZkSREn67UyyMAbl-lXTtE16Rem-3aLsh2pF-oIvdFFsrx2ba1GZFjUaeaG97JgKNz13ERUmFLUn1gv/s728-rw-e365/fig1-campaign-attack-flow.png)
The payload includes a dynamic-link library (DLL) that ultimately injects a cracked [Cobalt Strike Beacon](https://www.deepinstinct.com/blog/cobalt-strike-post-exploitation-attackers-toolkit), a [legitimate pen-testing tool](https://thehackernews.com/2023/04/microsoft-takes-legal-action-to-disrupt.html), directly into system memory and awaits for further instructions from a command-and-control (C2) server ("petapixel[.]fun").


The DLL also packs in features to check if it's being executed in a virtual machine and evade detection by security software.


Deep Instinct said it could neither link the attacks to a specific threat actor or group nor exclude the possibility of a red teaming exercise. Also unclear is the exact end goal of the intrusion.

 [![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
"The lure contained military-related content, suggesting it was targeting military personnel," Kosarev said.


"But the domain names weavesilk[.]space and petapixel[.]fun are disguised as an obscure generative art site (weavesilk[.]com) and a popular photography site (petapixel[.]com). These are unrelated, and it's a bit puzzling why an attacker would use these specifically to fool military personnel."


The disclosure comes as CERT-UA [revealed](https://cert.gov.ua/article/6278706) that about 20 energy, water, and heating suppliers in Ukraine have been targeted by a Russian state-sponsored group called UAC-0133, a sub-cluster within [Sandworm](https://thehackernews.com/2022/09/russian-sandworm-hackers-impersonate.html) (aka APT44, FROZENBARENTS, Seashell Blizzard, UAC-0002, and Voodoo Bear), which is responsible for a bulk of all the disruptive and destructive operations against the country.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiP9z1weia0vRoToKgwQQkrr9F1xF7EWlcS0P951uNXYl9689DjdUz_4tXNoBZdRUgUH6wIX_rjQAHsKt31D2Qps0v2yrowB-ILyIeaqhOL3O-Fy0AkwDS-vA6AVU4cfN7beiojj7YnMamsgmlaYx2e3e-HaCEw8pYOBAFt_rdRGnsaJJqlGer37F48pOUF/s728-rw-e365/apt44-fig1.max-2100x2100.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiP9z1weia0vRoToKgwQQkrr9F1xF7EWlcS0P951uNXYl9689DjdUz_4tXNoBZdRUgUH6wIX_rjQAHsKt31D2Qps0v2yrowB-ILyIeaqhOL3O-Fy0AkwDS-vA6AVU4cfN7beiojj7YnMamsgmlaYx2e3e-HaCEw8pYOBAFt_rdRGnsaJJqlGer37F48pOUF/s728-rw-e365/apt44-fig1.max-2100x2100.jpg)
The attacks, which aimed to sabotage critical operations, involve the use of malware like [Kapeka](https://thehackernews.com/2024/04/russian-apt-deploys-new-kapeka-backdoor.html) (aka ICYWELL, KnuckleTouch, QUEUESEED, and wrongsens) and its Linux variant BIASBOAT, as well as GOSSIPFLOW and LOADGRIP.


While GOSSIPFLOW is a Golang-based SOCKS5 proxy, LOADGRIP is an ELF binary written in C that's used to load BIASBOAT on compromised Linux hosts.


Sandworm is a [prolific and highly adaptive threat group](https://thehackernews.com/2023/09/russian-state-backed-infamous-chisel.html) linked to Unit 74455 within the Main Directorate of the General Staff of the Armed Forces of the Russian Federation (GRU). It's known to be active since at least 2009, with the adversary also tied to three hack-and-leak hacktivist personas such as [XakNet Team, CyberArmyofRussia\_Reborn,](https://thehackernews.com/2022/09/researchers-identify-3-hacktivist.html) and [Solntsepek](https://thehackernews.com/2024/03/russian-hackers-target-ukrainian.html).


"Sponsored by Russian military intelligence, APT44 is a dynamic and operationally mature threat actor that is actively engaged in the full spectrum of espionage, attack, and [influence operations](https://blogs.microsoft.com/on-the-issues/2024/04/17/russia-us-election-interference-deepfakes-ai/)," Mandiant [said](https://cloud.google.com/blog/topics/threat-intelligence/apt44-unearthing-sandworm), describing the advanced persistent threat (APT) as engaged in a multi-pronged effort to help Russia gain a wartime advantage since January 2022.


"APT44 operations are global in scope and mirror Russia's wide ranging national interests and ambitions. Patterns of activity over time indicate that APT44 is tasked with a range of different strategic priorities and is highly likely seen by the Kremlin as a flexible instrument of power capable of serving both enduring and emerging intelligence requirements."


  





## Tags:
***CVE's***: CVE-2017-8570

### Autogenerated tags:
[[apt44]] [[ppsx]] [[malware]]
